# PhasicFlow: Insertion< ShapeType > Class Template Reference

Insertion< ShapeType > Class Template Reference
Inheritance diagram for Insertion< ShapeType >:
[legend]
Collaboration diagram for Insertion< ShapeType >:
[legend]

## Public Member Functions

| TypeInfoTemplateNV ("Insertion", ShapeType)
| Insertion (particles &prtcl, const ShapeType &shapes)
| Insertion (fileSystem file, particles &prtcl, const ShapeType &shapes)
bool | insertParticles (real currentTime, real dt)
virtual bool | read (iIstream &is) override
virtual bool | write (iOstream &os) const override
Public Member Functions inherited from insertion
| TypeInfo ("insertion")
| insertion (particles &prtcl)
virtual | ~insertion ()=default
bool | isActive () const

## Protected Member Functions

bool | readInsertionDict (const dictionary &dict)
bool | writeInsertionDict (dictionary &dict) const
Protected Member Functions inherited from insertion
bool | readInsertionDict (const dictionary &dict)
bool | writeInsertionDict (dictionary &dict) const

## Protected Attributes

const ShapeType & | shapes_
ListPtr< InsertionRegion< ShapeType > > | regions_
Protected Attributes inherited from insertion
Logical | active_ = "No"
Logical | checkForCollision_ = "No"
particles & | particles_

## Detailed Description

### template<typename ShapeType>
class pFlow::Insertion< ShapeType >

Definition at line 35 of file Insertion.hpp.

## Constructor & Destructor Documentation

## Insertion() [1/2]

Insertion | ( | particles & | prtcl,
|  | const ShapeType & | shapes
| ) |  |

Definition at line 71 of file Insertion.cpp.

## Insertion() [2/2]

Insertion | ( | fileSystem | file,
|  | particles & | prtcl,
|  | const ShapeType & | shapes
| ) |  |

Definition at line 83 of file Insertion.cpp.

References pFlow::endl(), fatalErrorInFunction, fatalExit, fileSystem::fileName(), and Insertion< ShapeType >::readInsertionDict().

Here is the call graph for this function:

## Member Function Documentation

## readInsertionDict()

bool readInsertionDict | ( | const dictionary & | dict | ) |

protected

Definition at line 23 of file Insertion.cpp.

References dictionary::dictionaryKeywords(), endREPORT, greenText, REPORT, and dictionary::subDict().

Referenced by Insertion< ShapeType >::Insertion().

Here is the call graph for this function:
Here is the caller graph for this function:

## writeInsertionDict()

bool writeInsertionDict | ( | dictionary & | dict | ) | const

protected

Definition at line 49 of file Insertion.cpp.

References ForAll, and dictionary::subDictOrCreate().

Here is the call graph for this function:

## TypeInfoTemplateNV()

TypeInfoTemplateNV | ( | "Insertion< ShapeType >" | ,
|  | ShapeType |
| ) |  |

## insertParticles()

bool insertParticles | ( | real | currentTime,
|  | real | dt
| ) |  |

Definition at line 103 of file Insertion.cpp.

References cyanText, pFlow::endl(), endREPORT, endyWARNING, fatalErrorInFunction, ForAll, greenText, REPORT, Vector< T, Allocator >::size(), and yWARNING.

Here is the call graph for this function:

## read()

bool read | ( | iIstream & | is | ) |

overridevirtual

Implements insertion.

Definition at line 171 of file Insertion.cpp.

References pFlow::endl(), fatalErrorInFunction, dictionary::globalName(), pFlow::insertionFile__, ioErrorInFile, IOstream::lineNumber(), IOstream::name(), and dictionary::read().

Here is the call graph for this function:

## write()

bool write | ( | iOstream & | os | ) | const

overridevirtual

Implements insertion.

Definition at line 198 of file Insertion.cpp.

References pFlow::endl(), fatalErrorInFunction, dictionary::globalName(), pFlow::insertionFile__, ioErrorInFile, IOstream::lineNumber(), IOstream::name(), and dictionary::write().

Here is the call graph for this function:

## Member Data Documentation

## shapes_

const ShapeType& shapes_

protected

Definition at line 41 of file Insertion.hpp.

## regions_

ListPtr<InsertionRegion<ShapeType> > regions_

protected

Definition at line 44 of file Insertion.hpp.

The documentation for this class was generated from the following files:

- src/Particles/Insertion/Insertion/Insertion.hpp
- src/Particles/Insertion/Insertion/Insertion.cpp